checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
---
2
2
SHA256:
3
- metadata.gz: dc8db328edd2fcbbbd0e6995c459f40bc873df854ddb1344eb9fd94ddfc09b1d
4
- data.tar.gz: 7c2a4434195ebf368ed2b476bd892ab7c35d793c0668c8e4cbbaa3f9702d9151
3
+ metadata.gz: 4565e0bbd3195b9c1e5848b764328c26d73eb39ba48232327efcde01299c3ac2
4
+ data.tar.gz: 701f070d2538ab410ab0560e89b8c4171b0b4b893348fcfbd25d5650b6208fb0
5
5
SHA512:
6
- metadata.gz: 0b6392d9ba4f220853d3d45a8c330dd1fd7d280b8280f7474b39abeec44c217972ae3f3ae5e15761f63b4cac4dd0571587c86c4b994525b7c500a0909e56631b
7
- data.tar.gz: 1e128a4734f194270466be4017ad3d6143bcd21ed7875e6721c55e8d32bb6b58db9770413ec68fda843ec57ab5d83e29908bbc5530d5c080827846722762acd1
6
+ metadata.gz: 75eaf53a4209cba8626f1f38a3729db5a3954ce4877a225dfa2c162d6763883d14be5d17a9e695561aa94feb82e3b03f1a243b3526b839d7d59ba537094f04d4
7
+ data.tar.gz: 91440fc0feac380f9a8d606a145adcfb1b58a467ad217680d548f8fa893e5b675652babb2341ac43356c57d3ea9650a47e63ca0dde8d0915305ab4714b5f3575
data/Gemfile.lock CHANGED
@@ -1,7 +1,7 @@
1
1
PATH
2
2
remote: .
3
3
specs:
4
- skull_island (1.2.4)
4
+ skull_island (1.2.5)
5
5
deepsort (~> 0.4)
6
6
erubi (~> 1.8)
7
7
json (~> 2.1)
data/README.md CHANGED
@@ -138,6 +138,16 @@ If you don't have a previous export, you'll need to install an older version of
138
138
139
139
While it would be possible to make migration _automatic_ for the `import` command, `skull_island` intentionally doesn't do this to avoid the appearance that the config is losslessly compatible across versions. In reality, the newer config version has additional features (like tagging) that will likely be used heavily. It makes sense to this author to maintain the migration component and the normal functionality as distinct features to encourage the use of the newer capabilities in 1.1+.
140
140
141
+ ### Check Installed Version
142
+
143
+ If you're wondering what version of `skull_island` is installed, use:
144
+
145
+ ```
146
+ $ skull_island version
147
+
148
+ SkullIsland Version: 1.2.5
149
+ ```
150
+
141
151
### File Format
142
152
143
153
The import/export/migrate CLI functions produce YAML with support for embedded Ruby ([ERB](https://ruby-doc.org/stdlib-2.5.3/libdoc/erb/rdoc/ERB.html)). The file is structured like this (as an example):
data/lib/skull_island/cli.rb CHANGED
@@ -102,6 +102,12 @@ module SkullIsland
102
102
end
103
103
end
104
104
105
+ desc('version', 'Display the current installed version of skull_island')
106
+ def version
107
+ puts "SkullIsland Version: #{SkullIsland::VERSION}"
108
+ exit 1
109
+ end
110
+
105
111
private
106
112
107
113
def export_class(class_name, output_data)
data/lib/skull_island/version.rb CHANGED
@@ -4,6 +4,6 @@ module SkullIsland
4
4
VERSION = [
5
5
1, # Major
6
6
2, # Minor
7
- 4 # Patch
7
+ 5 # Patch
8
8
].join('.')
9
9
end
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
--- !ruby/object:Gem::Specification
2
2
name: skull_island
3
3
version: !ruby/object:Gem::Version
4
- version: 1.2.4
4
+ version: 1.2.5
5
5
platform: ruby
6
6
authors:
7
7
- Jonathan Gnagy
8
8
autorequire:
9
9
bindir: exe
10
10
cert_chain: []
11
- date: 2019-08-13 00:00:00.000000000 Z
11
+ date: 2019-08-14 00:00:00.000000000 Z
12
12
dependencies:
13
13
- !ruby/object:Gem::Dependency
14
14
name: deepsort